Subject: Re: bug#59793: 29.0.60; subr.elc is not compiled correctly

From: Eli Zaretskii <[email-masked]>
Date: Sun, 04 Dec 2022 19:35:17 +0200

> From: [email-masked]
> Cc: [email-masked], [email-masked]
> Date: Sun, 04 Dec 2022 18:27:07 +0100
> 
> In Emacs 29.0.50, I checked M-x disassemble RET insert-for-yank-1 RET
> and it looks like it uses an 'insert' bytcode operation instead of
> funcalling the 'insert' function. I think this is what prevents
> overriding of 'insert' from working on byte-compiled code, as explained
> in '(elisp) Advice and Byte Code'.

Of course!  And the same can happen with other function calls that the byte
compiler converts into bytecode operations.

That is why this technique is unreliable and shouldn't be used.